"use strict";
/**
 * @license
 * Copyright 2022 Dynatrace LLC
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const domexception_1 = require("./domexception");
const BASE_64_DIGITS = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=';
/** Transform content to a base64 encoded string */
function default_1(input) {
    // Make sure input is a string, removing ASCII whitespace:
    // https://infra.spec.whatwg.org/#ascii-whitespace
    input = `${input}`.replace(/[\t\n\f\r ]+/g, '');
    for (let n = 0; n < input.length; n++) {
        if (!BASE_64_DIGITS.includes(input[n])) {
            throw new domexception_1.default('Invalid character', 'InvalidCharacterError');
        }
    }
    return Buffer.from(input, 'base64').toString('latin1');
}
exports.default = default_1;
//# sourceMappingURL=atob.js.map