"use strict";
/**
 * @license
 * Copyright 2022 Dynatrace LLC
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var DOM_EXCEPTIONS;
(function (DOM_EXCEPTIONS) {
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["IndexSizeError"] = 1] = "IndexSizeError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["DOMStringSizeError"] = 2] = "DOMStringSizeError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["HierarchyRequestError"] = 3] = "HierarchyRequestError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["WrongDocumentError"] = 4] = "WrongDocumentError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["InvalidCharacterError"] = 5] = "InvalidCharacterError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["NoDataAllowedError"] = 6] = "NoDataAllowedError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["NoModificationAllowedError"] = 7] = "NoModificationAllowedError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["NotFoundError"] = 8] = "NotFoundError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["NotSupportedError"] = 9] = "NotSupportedError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["InUseAttributeError"] = 10] = "InUseAttributeError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["InvalidStateError"] = 11] = "InvalidStateError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["SyntaxError"] = 12] = "SyntaxError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["InvalidModificationError"] = 13] = "InvalidModificationError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["NamespaceError"] = 14] = "NamespaceError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["InvalidAccessError"] = 15] = "InvalidAccessError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["ValidationError"] = 16] = "ValidationError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["TypeMismatchError"] = 17] = "TypeMismatchError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["SecurityError"] = 18] = "SecurityError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["NetworkError"] = 19] = "NetworkError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["AbortError"] = 20] = "AbortError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["URLMismatchError"] = 21] = "URLMismatchError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["QuotaExceededError"] = 22] = "QuotaExceededError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["TimeoutError"] = 23] = "TimeoutError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["InvalidNodeTypeError"] = 24] = "InvalidNodeTypeError";
    DOM_EXCEPTIONS[DOM_EXCEPTIONS["DataCloneError"] = 25] = "DataCloneError";
})(DOM_EXCEPTIONS || (DOM_EXCEPTIONS = {}));
class DOMException extends Error {
    name;
    /** */
    constructor(message, name = 'Error') {
        super(message);
        this.name = name;
    }
    /** Returns a short that contains one of the error code constants, or 0 if none match */
    get code() {
        return DOM_EXCEPTIONS[this.name];
    }
}
exports.default = DOMException;
//# sourceMappingURL=domexception.js.map