"use strict";
/**
 * @license
 * Copyright 2022 Dynatrace LLC
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProgressEvent = exports.CustomEvent = exports.ErrorEvent = void 0;
class ErrorEvent extends Event {
    colno;
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    error;
    filename;
    lineno;
    message;
    /** */
    constructor(type, eventInitDict = {}) {
        const { colno = 0, error = null, filename = '', lineno = 0, message = '', ...eventInit } = eventInitDict;
        super(type, eventInit);
        this.colno = colno;
        this.error = error;
        this.filename = filename;
        this.lineno = lineno;
        this.message = message;
    }
}
exports.ErrorEvent = ErrorEvent;
class CustomEvent extends Event {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    details;
    /** */
    constructor(type, options = {}) {
        const { details = null, ...eventInit } = options;
        super(type, eventInit);
        this.details = details;
    }
}
exports.CustomEvent = CustomEvent;
class ProgressEvent extends Event {
    lengthComputable;
    loaded;
    total;
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    target;
    /** */
    constructor(type, init = {}) {
        const { lengthComputable = false, loaded = 0, total = 0, ...eventInit } = init;
        super(type, eventInit);
        this.lengthComputable = lengthComputable;
        this.loaded = loaded;
        this.total = total;
    }
}
exports.ProgressEvent = ProgressEvent;
//# sourceMappingURL=events.js.map