"use strict";
/**
 * @license
 * Copyright 2022 Dynatrace LLC
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloseEvent = exports.MessageEvent = exports.WebSocket = void 0;
var websocket_1 = require("websocket");
Object.defineProperty(exports, "WebSocket", { enumerable: true, get: function () { return websocket_1.w3cwebsocket; } });
class MessageEvent extends Event {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    data;
    /** */
    constructor(type, init = {}) {
        const { data = null, ...eventInit } = init;
        super(type, eventInit);
        this.data = data;
    }
}
exports.MessageEvent = MessageEvent;
class CloseEvent extends Event {
    code;
    reason;
    wasClean;
    /** */
    constructor(type, init = {}) {
        const { code = 0, reason = '', wasClean = false, ...eventInit } = init;
        super(type, eventInit);
        this.code = code;
        this.reason = reason;
        this.wasClean = wasClean;
    }
}
exports.CloseEvent = CloseEvent;
//# sourceMappingURL=websocket.js.map